package org.ow2.bonita.example.aw.performer;

import java.util.Set;

import org.ow2.bonita.definition.PerformerAssign;
import org.ow2.bonita.facade.QueryAPIAccessor;
import org.ow2.bonita.facade.uuid.ProcessInstanceUUID;

public class UserPerformerAssign implements PerformerAssign {

  public String selectUser(QueryAPIAccessor accessor,
    ProcessInstanceUUID instanceUUID, String activityId, String iterationId,
    String activityInstanceId, Set<String> candidates) throws Exception {
    String user = (String)accessor.getQueryRuntimeAPI()
      .getActivityInstanceVariable(instanceUUID, activityId, iterationId, activityInstanceId, "performer");
    return user;
  }

}
